NX Open C++ Reference Guide
|
Represents the set of drafting preferences applicable to part
To obtain an instance of this class, refer to Preferences::PartPreferences
Created in NX3.0.0.
More...
Public Member Functions | |
NXOpen::NXColor * | ActiveViewColor () |
Returns the drafting active view color. | |
bool | AssociativeAlignment () |
Returns the flag indicating whether to associatively align the view when placing it Created in NX8.5.0. | |
int | BorderColor () |
Returns the drafting view border color. | |
double | BreakLineAmplitude () |
Returns the break line amplitude. | |
NXOpen::NXColor * | BreakLineColor () |
Returns the break line color. | |
double | BreakLineExtension () |
Returns Created in NX7.5.0. | |
double | BreakLineGap () |
Returns the break line gap. | |
bool | BreakLinesVisibility () |
Returns the break lines visibility. | |
NXOpen::Preferences::PartDrafting::BreakLineStyle | BreakLineType () |
Returns the break line type. | |
int | BreakLineWidth () |
Returns the break line width. | |
int | Color () |
Returns the color of the retained Annotations::Annotation objects. | |
bool | CustomSymbolSmashToSketch () |
Returns the custom symbol smash behavior. | |
bool | DelayUpdateOnCreation () |
Returns the flag indicating whether the newly created views should update immediately even when the view update is delayed. | |
bool | DelayViewUpdate () |
Returns the flag indicating whether to delay update of the drafting views during system initiated drawing updates Created in NX3.0.0. | |
NXString | Delimiter () |
Returns the delimiter Created in NX8.0.0. | |
bool | DisplayBorders () |
Returns the flag indicating whether to display borders around drafting views, when selected Created in NX3.0.0. | |
bool | EnableSmoothEdgesForLWView () |
Returns the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves Created in NX8.5.0. | |
NXOpen::Preferences::PartDrafting::FontType | Font () |
Returns the line font of the retained Annotations::Annotation objects Created in NX3.0.0. | |
int | FrameBarPrecision () |
Returns the frame bar precision. | |
int | FrameBarTicDirection () |
Returns the frame bar tic direction. | |
NXString | InitialSecondaryNumber () |
Returns the initial secondary number Created in NX8.0.0. | |
NXString | InitialSheetNumber () |
Returns the initial sheet number Created in NX8.0.0. | |
bool | LineAntialiasing () |
Returns the flag indicating whether to display drawing using line antialiasing. | |
int | MinimumComponentsForLargeAssemblyOption () |
Returns the minimum number of components for large assembly option to get enabled Created in NX8.5.0. | |
bool | PropagateBreakLines () |
Returns the propagation of view break. | |
bool | RetainAnnotations () |
Returns the flag indicating whether to retain Annotations::Annotation objects when the geometry they are attached to is deleted. | |
void | SetActiveViewColor (NXOpen::NXColor *borderColor) |
Sets the drafting active view color. | |
void | SetAssociativeAlignment (bool associativeAlignment) |
Sets the flag indicating whether to associatively align the view when placing it Created in NX8.5.0. | |
void | SetBorderColor (int borderColor) |
Sets the drafting view border color. | |
void | SetBreakLineAmplitude (double amplitude) |
Sets the break line amplitude. | |
void | SetBreakLineColor (NXOpen::NXColor *color) |
Sets the break line color. | |
void | SetBreakLineExtension (double extension) |
Sets Created in NX7.5.0. | |
void | SetBreakLineGap (double gap) |
Sets the break line gap. | |
void | SetBreakLinesVisibility (bool isVisible) |
Sets the break lines visibility. | |
void | SetBreakLineType (NXOpen::Preferences::PartDrafting::BreakLineStyle lineType) |
Sets the break line type. | |
void | SetBreakLineWidth (int width) |
Sets the break line width. | |
void | SetColor (int color) |
Sets the color of the retained Annotations::Annotation objects. | |
void | SetCustomSymbolSmashToSketch (bool isSmashToSketch) |
Sets the custom symbol smash behavior. | |
void | SetDelayUpdateOnCreation (bool isDelayUpdateOnCreationOn) |
Sets the flag indicating whether the newly created views should update immediately even when the view update is delayed. | |
void | SetDelayViewUpdate (bool isDelayViewUpdateOn) |
Sets the flag indicating whether to delay update of the drafting views during system initiated drawing updates Created in NX3.0.0. | |
void | SetDelimiter (const NXString &delimiter) |
Sets the delimiter Created in NX8.0.0. | |
void | SetDelimiter (const char *delimiter) |
Sets the delimiter Created in NX8.0.0. | |
void | SetDisplayBorders (bool displayBorders) |
Sets the flag indicating whether to display borders around drafting views, when selected Created in NX3.0.0. | |
void | SetEnableSmoothEdgesForLWView (bool enableSmoothEdges) |
Sets the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves Created in NX8.5.0. | |
void | SetFont (NXOpen::Preferences::PartDrafting::FontType font) |
Sets the line font of the retained Annotations::Annotation objects Created in NX3.0.0. | |
void | SetFrameBarPrecision (int precision) |
Sets the frame bar precision. | |
void | SetFrameBarTicDirection (int ticDirection) |
Sets the frame bar tic direction. | |
void | SetInitialSecondaryNumber (const NXString &initialSecondaryNumber) |
Sets the initial secondary number Created in NX8.0.0. | |
void | SetInitialSecondaryNumber (const char *initialSecondaryNumber) |
Sets the initial secondary number Created in NX8.0.0. | |
void | SetInitialSheetNumber (const NXString &initialSheetNumber) |
Sets the initial sheet number Created in NX8.0.0. | |
void | SetInitialSheetNumber (const char *initialSheetNumber) |
Sets the initial sheet number Created in NX8.0.0. | |
void | SetLineAntialiasing (bool lineAntialiasing) |
Sets the flag indicating whether to display drawing using line antialiasing. | |
void | SetMinimumComponentsForLargeAssemblyOption (int minComponents) |
Sets the minimum number of components for large assembly option to get enabled Created in NX8.5.0. | |
void | SetPropagateBreakLines (bool doesPropagate) |
Sets the propagation of view break. | |
void | SetRetainAnnotations (bool retainAnnotations) |
Sets the flag indicating whether to retain Annotations::Annotation objects when the geometry they are attached to is deleted. | |
void | SetShowFacetEdges (bool showFacetEdges) |
Sets the flag indicating whether to display facet edges in shaded member views. | |
void | SetTranslucency (bool translucency) |
Sets the flag indicating whether to display solids in shaded member views with translucency. | |
void | SetUpdateViewWithoutLwData (NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption updateViewWithoutLWDataOption) |
Sets the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update Created in NX8.5.0. | |
void | SetVersionObjects (bool versonObjects) |
Sets the drafting version objects setting when updating drafting objects and member views Created in NX4.0.0. | |
void | SetViewStyle (NXOpen::Preferences::PartDrafting::ViewStyleType viewStyle) |
Sets the drafting view style type for preview when placing the view Created in NX3.0.0. | |
void | SetViewTracking (bool viewTracking) |
Sets the flag indicating whether to track a drafting view during preview when placing the view. | |
void | SetWidth (NXOpen::Preferences::PartDrafting::WidthType width) |
Sets the line width of the retained Annotations::Annotation objects Created in NX3.0.0. | |
bool | ShowFacetEdges () |
Returns the flag indicating whether to display facet edges in shaded member views. | |
tag_t | Tag () const |
Returns the tag of this object. | |
bool | Translucency () |
Returns the flag indicating whether to display solids in shaded member views with translucency. | |
NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption | UpdateViewWithoutLwData () |
Returns the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update Created in NX8.5.0. | |
bool | VersionObjects () |
Returns the drafting version objects setting when updating drafting objects and member views Created in NX4.0.0. | |
NXOpen::Preferences::PartDrafting::ViewStyleType | ViewStyle () |
Returns the drafting view style type for preview when placing the view Created in NX3.0.0. | |
bool | ViewTracking () |
Returns the flag indicating whether to track a drafting view during preview when placing the view. | |
NXOpen::Preferences::PartDrafting::WidthType | Width () |
Returns the line width of the retained Annotations::Annotation objects Created in NX3.0.0. | |
Represents the set of drafting preferences applicable to part
To obtain an instance of this class, refer to Preferences::PartPreferences
Created in NX3.0.0.
Describes the available break line style.
BreakLineStyleExisting |
Existing Curve. |
BreakLineStyleSimple |
Simple. |
BreakLineStyleStraight |
Straight. |
BreakLineStyleSawtooth |
Sawtooth. |
BreakLineStyleLongBreak |
LongBreak. |
BreakLineStyleTubular |
Tubular. |
BreakLineStyleSolidTubular |
Solid Tubular. |
BreakLineStyleSolidRod |
Solid Rod. |
BreakLineStyleJigsaw |
Jigsaw. |
BreakLineStyleWood |
Wood. |
Describes the available width types.
NXOpen::NXColor* NXOpen::Preferences::PartDrafting::ActiveViewColor | ( | ) |
Returns the drafting active view color.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::AssociativeAlignment | ( | ) |
Returns the flag indicating whether to associatively align the view when placing it
Created in NX8.5.0.
License requirements : None
int NXOpen::Preferences::PartDrafting::BorderColor | ( | ) |
Returns the drafting view border color.
The value should be between 1 and 216.
Created in NX3.0.0.
License requirements : None
double NXOpen::Preferences::PartDrafting::BreakLineAmplitude | ( | ) |
Returns the break line amplitude.
Created in NX7.5.0.
License requirements : None
NXOpen::NXColor* NXOpen::Preferences::PartDrafting::BreakLineColor | ( | ) |
Returns the break line color.
Created in NX7.5.0.
License requirements : None
double NXOpen::Preferences::PartDrafting::BreakLineExtension | ( | ) |
Returns
Created in NX7.5.0.
License requirements : None
double NXOpen::Preferences::PartDrafting::BreakLineGap | ( | ) |
Returns the break line gap.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::BreakLinesVisibility | ( | ) |
Returns the break lines visibility.
Created in NX8.0.0.
License requirements : None
NXOpen::Preferences::PartDrafting::BreakLineStyle NXOpen::Preferences::PartDrafting::BreakLineType | ( | ) |
Returns the break line type.
Created in NX7.5.0.
License requirements : None
int NXOpen::Preferences::PartDrafting::BreakLineWidth | ( | ) |
Returns the break line width.
Created in NX7.5.0.
License requirements : None
int NXOpen::Preferences::PartDrafting::Color | ( | ) |
Returns the color of the retained Annotations::Annotation objects.
The value should be between 1 and 216.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::CustomSymbolSmashToSketch | ( | ) |
Returns the custom symbol smash behavior.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::DelayUpdateOnCreation | ( | ) |
Returns the flag indicating whether the newly created views should update immediately even when the view update is delayed.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::DelayViewUpdate | ( | ) |
Returns the flag indicating whether to delay update of the drafting views during system initiated drawing updates
Created in NX3.0.0.
License requirements : None
NXString NXOpen::Preferences::PartDrafting::Delimiter | ( | ) |
Returns the delimiter
Created in NX8.0.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::DisplayBorders | ( | ) |
Returns the flag indicating whether to display borders around drafting views, when selected
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::EnableSmoothEdgesForLWView | ( | ) |
Returns the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves
Created in NX8.5.0.
License requirements : None
NXOpen::Preferences::PartDrafting::FontType NXOpen::Preferences::PartDrafting::Font | ( | ) |
Returns the line font of the retained Annotations::Annotation objects
Created in NX3.0.0.
License requirements : None
int NXOpen::Preferences::PartDrafting::FrameBarPrecision | ( | ) |
Returns the frame bar precision.
Created in NX8.0.0.
License requirements : None
int NXOpen::Preferences::PartDrafting::FrameBarTicDirection | ( | ) |
Returns the frame bar tic direction.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Preferences::PartDrafting::InitialSecondaryNumber | ( | ) |
Returns the initial secondary number
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Preferences::PartDrafting::InitialSheetNumber | ( | ) |
Returns the initial sheet number
Created in NX8.0.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::LineAntialiasing | ( | ) |
Returns the flag indicating whether to display drawing using line antialiasing.
Created in NX5.0.1.
License requirements : None
int NXOpen::Preferences::PartDrafting::MinimumComponentsForLargeAssemblyOption | ( | ) |
Returns the minimum number of components for large assembly option to get enabled
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::PropagateBreakLines | ( | ) |
Returns the propagation of view break.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::RetainAnnotations | ( | ) |
Returns the flag indicating whether to retain Annotations::Annotation objects when the geometry they are attached to is deleted.
When false, the Annotations::Annotation objects get deleted with the geometry.
Created in NX3.0.0.
License requirements : None
void NXOpen::Preferences::PartDrafting::SetActiveViewColor | ( | NXOpen::NXColor * | borderColor | ) |
Sets the drafting active view color.
Created in NX6.0.0.
License requirements : None
borderColor | border color |
void NXOpen::Preferences::PartDrafting::SetAssociativeAlignment | ( | bool | associativeAlignment | ) |
Sets the flag indicating whether to associatively align the view when placing it
Created in NX8.5.0.
License requirements : None
associativeAlignment | associativealignment |
void NXOpen::Preferences::PartDrafting::SetBorderColor | ( | int | borderColor | ) |
Sets the drafting view border color.
The value should be between 1 and 216.
Created in NX3.0.0.
License requirements : None
borderColor | border color |
void NXOpen::Preferences::PartDrafting::SetBreakLineAmplitude | ( | double | amplitude | ) |
Sets the break line amplitude.
Created in NX7.5.0.
License requirements : None
amplitude | amplitude |
void NXOpen::Preferences::PartDrafting::SetBreakLineColor | ( | NXOpen::NXColor * | color | ) |
Sets the break line color.
Created in NX7.5.0.
License requirements : None
color | color |
void NXOpen::Preferences::PartDrafting::SetBreakLineExtension | ( | double | extension | ) |
Sets
Created in NX7.5.0.
License requirements : None
extension | extension |
void NXOpen::Preferences::PartDrafting::SetBreakLineGap | ( | double | gap | ) |
Sets the break line gap.
Created in NX7.5.0.
License requirements : None
gap | gap |
void NXOpen::Preferences::PartDrafting::SetBreakLinesVisibility | ( | bool | isVisible | ) |
Sets the break lines visibility.
Created in NX8.0.0.
License requirements : None
isVisible | isvisible |
void NXOpen::Preferences::PartDrafting::SetBreakLineType | ( | NXOpen::Preferences::PartDrafting::BreakLineStyle | lineType | ) |
Sets the break line type.
Created in NX7.5.0.
License requirements : None
lineType | line type |
void NXOpen::Preferences::PartDrafting::SetBreakLineWidth | ( | int | width | ) |
Sets the break line width.
Created in NX7.5.0.
License requirements : None
width | width |
void NXOpen::Preferences::PartDrafting::SetColor | ( | int | color | ) |
Sets the color of the retained Annotations::Annotation objects.
The value should be between 1 and 216.
Created in NX3.0.0.
License requirements : None
color | color |
void NXOpen::Preferences::PartDrafting::SetCustomSymbolSmashToSketch | ( | bool | isSmashToSketch | ) |
Sets the custom symbol smash behavior.
Created in NX8.5.0.
License requirements : nx_drafting_plus ("DraftingPlus")
isSmashToSketch | issmashtosketch |
void NXOpen::Preferences::PartDrafting::SetDelayUpdateOnCreation | ( | bool | isDelayUpdateOnCreationOn | ) |
Sets the flag indicating whether the newly created views should update immediately even when the view update is delayed.
Created in NX3.0.0.
License requirements : None
isDelayUpdateOnCreationOn | isdelayupdateoncreationon |
void NXOpen::Preferences::PartDrafting::SetDelayViewUpdate | ( | bool | isDelayViewUpdateOn | ) |
Sets the flag indicating whether to delay update of the drafting views during system initiated drawing updates
Created in NX3.0.0.
License requirements : None
isDelayViewUpdateOn | isdelayviewupdateon |
void NXOpen::Preferences::PartDrafting::SetDelimiter | ( | const NXString & | delimiter | ) |
Sets the delimiter
Created in NX8.0.0.
License requirements : None
delimiter | delimiter |
void NXOpen::Preferences::PartDrafting::SetDelimiter | ( | const char * | delimiter | ) |
Sets the delimiter
Created in NX8.0.0.
License requirements : None
delimiter | delimiter |
void NXOpen::Preferences::PartDrafting::SetDisplayBorders | ( | bool | displayBorders | ) |
Sets the flag indicating whether to display borders around drafting views, when selected
Created in NX3.0.0.
License requirements : None
displayBorders | display borders |
void NXOpen::Preferences::PartDrafting::SetEnableSmoothEdgesForLWView | ( | bool | enableSmoothEdges | ) |
Sets the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves
Created in NX8.5.0.
License requirements : None
enableSmoothEdges | enablesmoothedges |
void NXOpen::Preferences::PartDrafting::SetFont | ( | NXOpen::Preferences::PartDrafting::FontType | font | ) |
Sets the line font of the retained Annotations::Annotation objects
Created in NX3.0.0.
License requirements : None
font | font |
void NXOpen::Preferences::PartDrafting::SetFrameBarPrecision | ( | int | precision | ) |
Sets the frame bar precision.
Created in NX8.0.0.
License requirements : None
precision | precision |
void NXOpen::Preferences::PartDrafting::SetFrameBarTicDirection | ( | int | ticDirection | ) |
Sets the frame bar tic direction.
Created in NX8.0.0.
License requirements : None
ticDirection | ticdirection |
void NXOpen::Preferences::PartDrafting::SetInitialSecondaryNumber | ( | const NXString & | initialSecondaryNumber | ) |
Sets the initial secondary number
Created in NX8.0.0.
License requirements : None
initialSecondaryNumber | initialsecondarynumber |
void NXOpen::Preferences::PartDrafting::SetInitialSecondaryNumber | ( | const char * | initialSecondaryNumber | ) |
Sets the initial secondary number
Created in NX8.0.0.
License requirements : None
initialSecondaryNumber | initialsecondarynumber |
void NXOpen::Preferences::PartDrafting::SetInitialSheetNumber | ( | const NXString & | initialSheetNumber | ) |
Sets the initial sheet number
Created in NX8.0.0.
License requirements : None
initialSheetNumber | initialsheetnumber |
void NXOpen::Preferences::PartDrafting::SetInitialSheetNumber | ( | const char * | initialSheetNumber | ) |
Sets the initial sheet number
Created in NX8.0.0.
License requirements : None
initialSheetNumber | initialsheetnumber |
void NXOpen::Preferences::PartDrafting::SetLineAntialiasing | ( | bool | lineAntialiasing | ) |
Sets the flag indicating whether to display drawing using line antialiasing.
Created in NX5.0.1.
License requirements : None
lineAntialiasing | line antialiasing |
void NXOpen::Preferences::PartDrafting::SetMinimumComponentsForLargeAssemblyOption | ( | int | minComponents | ) |
Sets the minimum number of components for large assembly option to get enabled
Created in NX8.5.0.
License requirements : None
minComponents | Minimum number of components for large assembly option |
void NXOpen::Preferences::PartDrafting::SetPropagateBreakLines | ( | bool | doesPropagate | ) |
Sets the propagation of view break.
Created in NX7.5.0.
License requirements : None
doesPropagate | doespropagate |
void NXOpen::Preferences::PartDrafting::SetRetainAnnotations | ( | bool | retainAnnotations | ) |
Sets the flag indicating whether to retain Annotations::Annotation objects when the geometry they are attached to is deleted.
When false, the Annotations::Annotation objects get deleted with the geometry.
Created in NX3.0.0.
License requirements : None
retainAnnotations | retain annotations |
void NXOpen::Preferences::PartDrafting::SetShowFacetEdges | ( | bool | showFacetEdges | ) |
Sets the flag indicating whether to display facet edges in shaded member views.
Created in NX5.0.1.
License requirements : None
showFacetEdges | show facet edges |
void NXOpen::Preferences::PartDrafting::SetTranslucency | ( | bool | translucency | ) |
Sets the flag indicating whether to display solids in shaded member views with translucency.
Created in NX5.0.1.
License requirements : None
translucency | translucency |
void NXOpen::Preferences::PartDrafting::SetUpdateViewWithoutLwData | ( | NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption | updateViewWithoutLWDataOption | ) |
Sets the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update
Created in NX8.5.0.
License requirements : None
updateViewWithoutLWDataOption | updateviewwithoutlwdataoption |
void NXOpen::Preferences::PartDrafting::SetVersionObjects | ( | bool | versonObjects | ) |
Sets the drafting version objects setting when updating drafting objects and member views
Created in NX4.0.0.
License requirements : None
versonObjects | verson objects |
void NXOpen::Preferences::PartDrafting::SetViewStyle | ( | NXOpen::Preferences::PartDrafting::ViewStyleType | viewStyle | ) |
Sets the drafting view style type for preview when placing the view
Created in NX3.0.0.
License requirements : None
viewStyle | view style |
void NXOpen::Preferences::PartDrafting::SetViewTracking | ( | bool | viewTracking | ) |
Sets the flag indicating whether to track a drafting view during preview when placing the view.
The cursor is tracked using XC/YC coordinates.
Created in NX3.0.0.
License requirements : None
viewTracking | view tracking |
void NXOpen::Preferences::PartDrafting::SetWidth | ( | NXOpen::Preferences::PartDrafting::WidthType | width | ) |
Sets the line width of the retained Annotations::Annotation objects
Created in NX3.0.0.
License requirements : None
width | width |
bool NXOpen::Preferences::PartDrafting::ShowFacetEdges | ( | ) |
Returns the flag indicating whether to display facet edges in shaded member views.
Created in NX5.0.1.
License requirements : None
tag_t NXOpen::Preferences::PartDrafting::Tag | ( | ) | const |
Returns the tag of this object.
bool NXOpen::Preferences::PartDrafting::Translucency | ( | ) |
Returns the flag indicating whether to display solids in shaded member views with translucency.
Created in NX5.0.1.
License requirements : None
NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwData | ( | ) |
Returns the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::VersionObjects | ( | ) |
Returns the drafting version objects setting when updating drafting objects and member views
Created in NX4.0.0.
License requirements : None
NXOpen::Preferences::PartDrafting::ViewStyleType NXOpen::Preferences::PartDrafting::ViewStyle | ( | ) |
Returns the drafting view style type for preview when placing the view
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartDrafting::ViewTracking | ( | ) |
Returns the flag indicating whether to track a drafting view during preview when placing the view.
The cursor is tracked using XC/YC coordinates.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::PartDrafting::WidthType NXOpen::Preferences::PartDrafting::Width | ( | ) |
Returns the line width of the retained Annotations::Annotation objects
Created in NX3.0.0.
License requirements : None